| Home | Libraries | People | FAQ | More

## Function template ireplace_first

boost::algorithm::ireplace_first — Replace first algorithm ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename SequenceT, typename Range1T, typename Range2T>
      void ireplace_first(SequenceT & Input, const Range1T & Search,
                          const Range2T & Format,
                          const std::locale & Loc = std::locale());

## Description

Replace the first match of the search substring in the input with the format string. Input sequence is modified in-place. Searching is case insensitive.

Parameters:

`Format` | A substitute string
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Search` | A substring to be searched for